> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squared.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Catalog



## OpenAPI

````yaml POST /api/v1/catalogs
openapi: 3.0.1
info:
  title: AI Squared API
  version: 1.0.0
servers:
  - url: https://api.squared.ai
security: []
paths:
  /api/v1/catalogs:
    post:
      tags:
        - Catalogs
      summary: Create catalog
      operationId: createCatalog
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                connector_id:
                  type: integer
                  example: 6
                catalog:
                  type: object
                  properties:
                    json_schema:
                      type: object
                      example:
                        key: value
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: 123
                  connector_id:
                    type: integer
                    example: 6
                  workspace_id:
                    type: integer
                    example: 2
                  catalog:
                    type: object
                    properties:
                      json_schema:
                        type: object
                        example:
                          key: value
                  created_at:
                    type: string
                    format: date-time
                    example: '2023-08-20T15:28:00Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2023-08-20T15:28:00Z'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````